Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## alice.tuprolog
Class ClauseStore

    java.lang.Object
      alice.tuprolog.ClauseStore

public class ClauseStore
extends java.lang.Object

A list of clauses belonging to the same family as a goal. A family is composed by clauses with the same functor and arity.

Method Summary
`static ClauseStore` | `build(Term goal, java.util.List vars, java.util.List familyClauses)` Carica una famiglia di clausole
`protected boolean` | `existCompatibleClause()` Verify if there is a term in compatibleGoals compatible with goal.
`ClauseInfo` | `fetch()` Restituisce la clausola da caricare
`java.util.List` | `getClauses()`
`Term` | `getMatchGoal()`
`java.util.List` | `getVarsForMatch()`
`boolean` | `haveAlternatives()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### build

    public static ClauseStore build(Term goal,
                                    java.util.List vars,
                                    java.util.List familyClauses)

  Carica una famiglia di clausole

  Parameters:
    `familyClauses` -

### fetch

    public ClauseInfo fetch()

  Restituisce la clausola da caricare

### haveAlternatives

    public boolean haveAlternatives()

### existCompatibleClause

    protected boolean existCompatibleClause()

  Verify if there is a term in compatibleGoals compatible with goal.

  Returns:
    true if compatible or false otherwise.

### toString

    public java.lang.String toString()

### getClauses

    public java.util.List getClauses()

### getMatchGoal

    public Term getMatchGoal()

### getVarsForMatch

    public java.util.List getVarsForMatch()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD